class HandlerUser:
    handler_link = []

    def __init__(self, func):
        HandlerUser.handler_link.append(func)


@HandlerUser
async def device_label(rdb, item):
    """
    标记新设备
    :param rdb:
    :param item:
    :return:
    """
    v = await rdb.execute('sadd', f'{item.game}.devices', item.properties.get('#device_id', ''))
    if v:
        item.properties['is_new_device'] = 1
    else:
        item.properties['is_new_device'] = 0